import request from '@/utils/request';
// 根据巡视任务执行情况ID查看详情
export function getdata(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskTodoById',
        method: 'get',
        params: params
    });
}
//根据任务执行情况ID查询点位查询
export function getTableData(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskDeviceList',
        method: 'get',
        params: params
    });
}
//查看详情-修正
export function editCorrect(params: any) {
    return request({
        url: '/patroltasks/task-todo/updateTaskResultById',
        method: 'post',
        data: params
    });
}
//审查任务执行情况
export function examination(params: any) {
    return request({
        url: '/patroltasks/task-todo/updateTaskTodoById',
        method: 'post',
        data: params
    });
}
//获取eachers 数据
export function geteachers(params: any) {
    return request({
        url: '/patroltasks/task-todo/getHistoricalCurve',
        method: 'get',
        params: params
    });
}
